﻿/*----------------------------------------------------------------
//  <copyright file="DemoSeedDataInitializer.cs" company="三擎科技信息（常州）有限责任公司">
//      Copyright © 2020-2022 SANQING Corporation, All rights reserved.
//  </copyright>
//  <site>https://gitee.com/eacloud</site>
//  <last-editor>Seon.Hu</last-editor>
//  <last-date>2021-04-19 09:25</last-date>
//----------------------------------------------------------------*/

using EaCloud;
using EaCloud.Entity;
using System;
using System.Linq.Expressions;

namespace EaCloud.Template.Pack.Demo.Core
{
    #region "Demo种子数据初始值设定项"
    /// <summary>
    /// Demo种子数据初始值设定项
    /// </summary>
    public class DemoSeedDataInitializer : SeedDataInitializerBase<Entities.DemoEntity, long>
    {
        #region "构造函数"
        #region "初始化一个用户种子数据初始值设定项的新实例"
        /// <summary>
        /// 初始化一个用户种子数据初始值设定项（<see cref="DemoSeedDataInitializer"/>）的新实例
        /// </summary>
        /// <param name="rootProvider"></param>
        public DemoSeedDataInitializer(IServiceProvider rootProvider)
            : base(rootProvider)
        { }
        #endregion

        #endregion

        #region "方法"
        #region "重写以提供要初始化的种子数据"
        /// <summary>
        /// 重写以提供要初始化的种子数据
        /// </summary>
        /// <param name="provider">服务提供者</param>
        /// <returns></returns>
        protected override Entities.DemoEntity[] SeedData(IServiceProvider provider)
        {
            return new[]
            {
                new Entities.DemoEntity(){ String = "String", StringCanNull = null, Decimal = 34.56M,DecimalCanNull = null },
            };
        }
        #endregion
        #region "重写以提供判断某个实体是否存在的表达式"
        /// <summary>
        /// 重写以提供判断某个实体是否存在的表达式
        /// </summary>
        /// <param name="entity">要判断的实体</param>
        /// <returns></returns>
        protected override Expression<Func<Entities.DemoEntity, bool>> ExistingExpression(Entities.DemoEntity entity)
        {
            return m => m.String.Equals(entity.String);
        }
        #endregion

        #endregion

    }
    #endregion

}
