﻿/*----------------------------------------------------------------
//  <copyright file="IDemoOptions.cs" company="三擎科技信息（常州）有限责任公司">
//      Copyright © 2020-2022 SANQING Corporation, All rights reserved.
//  </copyright>
//  <site>https://gitee.com/eacloud</site>
//  <last-editor>Seon.Hu</last-editor>
//  <last-date>2021-12-22 09:05</last-date>
//----------------------------------------------------------------*/

using EaCloud;
using System.Collections.Generic;

namespace EaCloud.Template.Pack.Demo.Core.Options
{
    #region "业务契约：Demo配置选项"
    /// <summary>
    /// 业务契约：Demo配置选项，
    /// 配置文件样式形如：
    ///   "Demo": {
    ///     "DemoString": "DemoString",
    ///     "DemoInt32": 123,
    ///     "DemoBoolean": true,
    ///     "DemoEnum": "Date",
    ///     "DemoStringArray": "1,2,3,4,5",
    ///     "DemoList": [
    ///       {
    ///         "DemoId": "manager",
    ///         "DemoName": "administrator"
    ///       }
    ///     ]
    ///   }
    /// </summary>
    public interface IDemoOptions
    {
        #region "属性"
        #region "获取 DemoString"
        /// <summary>
        /// 获取 DemoString
        /// </summary>
        string DemoString { get; }
        #endregion
        #region "获取 DemoInt32"
        /// <summary>
        /// 获取 DemoInt32
        /// </summary>
        int DemoInt32 { get; }
        #endregion
        #region "获取 DemoBoolean"
        /// <summary>
        /// 获取 DemoBoolean
        /// </summary>
        bool DemoBoolean { get; }
        #endregion
        #region "获取 DemoEnum"
        /// <summary>
        /// 获取 DemoEnum
        /// </summary>
        DemoType DemoEnum { get; }
        #endregion
        #region "获取 DemoStringArray"
        /// <summary>
        /// 获取 DemoStringArray
        /// </summary>
        string[] DemoStringArray { get; }
        #endregion

        #region "获取 Demo配置列表集合"
        /// <summary>
        /// 获取 Demo配置列表集合
        /// </summary>
        IEnumerable<DemoOptionList> DemoList { get; }
        #endregion

        #endregion

    }
    #endregion

}
