﻿/*----------------------------------------------------------------
//  <copyright file="TestController.cs" company="三擎科技信息（常州）有限责任公司">
//      Copyright © 2020-2022 SANQING Corporation, All rights reserved.
//  </copyright>
//  <site>https://gitee.com/eacloud</site>
//  <last-editor>Seon.Hu</last-editor>
//  <last-date>2021-07-08 09:18</last-date>
//----------------------------------------------------------------*/

using EaCloud.Authorization.Functions;
using EaCloud.Swagger;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using System.ComponentModel;
using System.Threading.Tasks;

namespace EaCloud.Template.Svc.Controllers
{
    /// <summary>
    /// 网站-测试
    /// </summary>
    [Description("网站-测试")]
    [AllowAnonymous]
    [ApiExplorerSettings(GroupName = "buss")]
    public class TestController : SiteApiControllerBase
    {
        /// <summary>
        /// 测试01
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        [NonFunction]
        [Description("测试01")]
        public async Task<string> Test01()
        {
            return await Task.FromResult<string>("测试01");
        }

        /// <summary>
        /// 测试02
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        [NonFunction]
        [Description("测试02")]
        [HiddenApi]
        public async Task<string> Test02()
        {
            return await Task.FromResult<string>("测试02");
        }

    }
}
